-- ┌                                               ┐
-- │                 C, Cpp, objc                  │
-- └                                               ┘
local lsp = vim.lsp

local capabilities = require("lsp-options").capabilities
local on_attach = require("lsp-options").on_attach

lsp.config("clangd", {
    cmd = {
        "clangd",
        "--suggest-missing-includes",
        "--clang-tidy",
    },
    filetypes = { "c", "cpp", "objc", "objcpp", "cuda", "proto", "ino" },
    capabilities = capabilities,
    on_attach = on_attach,
})

lsp.config("cmake", {
    capabilities = capabilities,
    on_attach = on_attach,
})

-- ── Enable configs ───────────────────────────────────────────────
local enable = vim.lsp.enable
enable("clangd")
enable("cmake")
